"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.blockSmartLinksTestCollection = void 0;
var _inProductTesting = require("@atlaskit/in-product-testing");
var _delete = require("./delete");
var _edit = require("./edit");
var _insert = require("./insert");
var blockSmartLinksTestCollection = exports.blockSmartLinksTestCollection = function blockSmartLinksTestCollection(opts) {
  return new _inProductTesting.InProductTestCollection({
    title: '@atlaskit/editor-core -> Block Smart Links, happy paths',
    testCases: [(0, _insert.switchToBlockSmartLinkTestCase)(opts), (0, _edit.editBlockSmartLinkTitleTestCase)(opts), (0, _edit.editBlockSmartLinkUrlTestCase)(opts), (0, _delete.deleteBlockSmartLinkTestCase)(opts)]
  });
};