"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.inputWrapper = exports.containerWithProvider = exports.container = void 0;
var _react = require("@emotion/react");
var _ui = require("../../ui");
var inputWrapper = exports.inputWrapper = (0, _react.css)({
  display: 'flex',
  lineHeight: 0,
  padding: "var(--ds-space-075, 6px)".concat(" 0"),
  alignItems: 'center'
});
var container = exports.container = (0, _react.css)({
  display: 'flex',
  flexDirection: 'column',
  overflow: 'auto',
  padding: 0,
  width: "".concat(_ui.RECENT_SEARCH_WIDTH_WITHOUT_ITEMS_IN_PX, "px"),
  lineHeight: 'initial'
});
var containerWithProvider = exports.containerWithProvider = (0, _react.css)({
  width: "".concat(_ui.RECENT_SEARCH_WIDTH_IN_PX, "px")
});