/// <reference types="react" />
import { jsx } from '@emotion/react';
import type { IntlShape } from 'react-intl-next';
export type CommentBadgeProps = {
    intl: IntlShape;
    width?: number;
    height?: number;
    status?: 'default' | 'entered' | 'active';
    mediaElement?: HTMLElement | null;
    onClick: (e: React.MouseEvent) => void;
    onMouseEnter?: (e: React.MouseEvent) => void;
    onMouseLeave?: (e: React.MouseEvent) => void;
    isEditor?: boolean;
    isDrafting?: boolean;
    badgeOffsetRight?: string;
    commentsOnMediaBugFixEnabled?: boolean;
};
export declare const CommentBadge: ({ intl, width, height, status, mediaElement, onClick, onMouseEnter, onMouseLeave, badgeOffsetRight, commentsOnMediaBugFixEnabled, }: CommentBadgeProps) => jsx.JSX.Element;
