/** @jsx jsx */
import type { ReactNode } from 'react';
import type { WithAnalyticsEventsProps } from '@atlaskit/analytics-next';
interface Props extends WithAnalyticsEventsProps {
    isOpen?: boolean;
    trigger?: React.ReactNode;
    position: string;
    onOpenChange?: (event: OpenChangedEvent) => void;
    onPositioned?: () => void;
    testId?: string;
    shouldFitContainer: boolean;
    children?: ReactNode;
    id?: string;
}
export type OpenChangedEvent = {
    isOpen: boolean;
    event: MouseEvent | KeyboardEvent;
};
declare const _default: import("react").ForwardRefExoticComponent<Pick<Omit<Props, keyof WithAnalyticsEventsProps> & import("react").RefAttributes<any> & import("@atlaskit/analytics-next").WithContextProps, "position" | "key" | "id" | "children" | "testId" | "analyticsContext" | "shouldFitContainer" | "onPositioned" | "isOpen" | "trigger" | "onOpenChange"> & import("react").RefAttributes<any>>;
export default _default;
