import type { Node } from '@atlaskit/editor-prosemirror/model';
export declare const DEFAULT_ORDER = 1;
export declare const resolveOrder: (order: number | undefined | string) => number | undefined;
export declare const getOrderFromOrderedListNode: (orderedListNode: Node) => number;
interface GetItemCounterDigitsSize {
    itemsCount?: number;
    order?: number;
}
export declare const getItemCounterDigitsSize: (options: GetItemCounterDigitsSize) => number | undefined;
export declare function isListNode(node: Node | null | undefined): boolean;
export declare function isParagraphNode(node: Node | null | undefined): boolean;
export declare function isListItemNode(node: Node | null | undefined): boolean;
export declare function isBulletList(node: Node | null | undefined): boolean;
export declare function isOrderedList(node: Node | null | undefined): boolean;
export declare const isOrderedListContinuous: (firstOrderedList: Node, secondOrderedList: Node) => boolean;
export {};
