/** @jsx jsx */
/// <reference types="react" />
import { jsx } from '@emotion/react';
interface FrameViewProps {
    children?: React.ReactNode;
    /** A `testId` prop is provided for specified elements, which is a unique string that appears as a data attribute `data-testid` in the rendered code, serving as a hook for automated tests */
    testId?: string;
}
export declare const Frame: ({ children, testId, }: React.PropsWithChildren<FrameViewProps>) => jsx.JSX.Element;
export {};
