"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fundamentalsTestCollection = void 0;
var _inProductTesting = require("@atlaskit/in-product-testing");
var _editorIsPresent = require("./test-cases/editor-is-present");
var _editorTyping = require("./test-cases/editor-typing");
var fundamentalsTestCollection = exports.fundamentalsTestCollection = function fundamentalsTestCollection(opts) {
  return new _inProductTesting.InProductTestCollection({
    title: '@atlaskit/editor-core -> Editor fundamentals happy path tests',
    testCases: [(0, _editorIsPresent.editorIsPresentTestCase)(opts), (0, _editorTyping.editorTypingTestCase)(opts)]
  });
};