"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wrapperStyle = void 0;
var _react = require("@emotion/react");
var _colors = require("@atlaskit/theme/colors");
var wrapperStyle = exports.wrapperStyle = (0, _react.css)({
  display: 'inline-flex',
  width: '100%',
  height: '100%',
  alignItems: 'center',
  justifyContent: 'center',
  boxDecorationBreak: 'clone',
  borderRadius: "var(--ds-border-radius, 3px)",
  color: "".concat("var(--ds-text, ".concat(_colors.N900, ")")),
  backgroundColor: "".concat("var(--ds-background-neutral, ".concat(_colors.N30A, ")")),
  transition: '0.1s all ease-in-out',
  cursor: 'pointer',
  '&:hover': {
    backgroundColor: "".concat("var(--ds-background-neutral-hovered, ".concat(_colors.N40A, ")"))
  }
});