"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.expandIconWrapperStyle = exports.expandClassNames = void 0;
var _react = require("@emotion/react");
var expandIconWrapperStyle = exports.expandIconWrapperStyle = (0, _react.css)({
  marginLeft: "var(--ds-space-negative-100, -8px)"
});
var prefix = 'ak-editor-expand';
var expandClassNames = exports.expandClassNames = {
  prefix: prefix,
  expanded: "".concat(prefix, "__expanded"),
  titleContainer: "".concat(prefix, "__title-container"),
  inputContainer: "".concat(prefix, "__input-container"),
  iconContainer: "".concat(prefix, "__icon-container"),
  icon: "".concat(prefix, "__icon"),
  titleInput: "".concat(prefix, "__title-input"),
  content: "".concat(prefix, "__content"),
  type: function type(_type) {
    return "".concat(prefix, "__type-").concat(_type);
  }
};