"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.paragraphSharedStyles = void 0;
var _react = require("@emotion/react");
var _editorSharedStyles = require("@atlaskit/editor-shared-styles");
// @see typography spreadsheet: https://docs.google.com/spreadsheets/d/1iYusRGCT4PoPfvxbJ8NrgjtfFgXLm5lpDWXzjua1W2E/edit#gid=93913128
var paragraphSharedStyles = exports.paragraphSharedStyles = (0, _react.css)({
  '& p': {
    fontSize: '1em',
    lineHeight: _editorSharedStyles.akEditorLineHeight,
    fontWeight: 'normal',
    // eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage/preview
    marginTop: _editorSharedStyles.blockNodesVerticalMargin,
    marginBottom: 0,
    letterSpacing: '-0.005em'
  }
});