"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lightModeStatusColorPalette = exports.darkModeStatusColorPalette = void 0;
var _colors = require("@atlaskit/theme/colors");
/** this is not new usage - old code extracted from editor-core */
/* eslint-disable @atlaskit/design-system/ensure-design-token-usage */
var lightModeStatusColorPalette = exports.lightModeStatusColorPalette = [{
  label: 'neutral',
  value: _colors.N40,
  border: _colors.N400
}, {
  label: 'purple',
  value: _colors.P50,
  border: _colors.P400
}, {
  label: 'blue',
  value: _colors.B50,
  border: _colors.B400
}, {
  label: 'red',
  value: _colors.R50,
  border: _colors.R400
}, {
  label: 'yellow',
  value: _colors.Y75,
  border: _colors.Y400
}, {
  label: 'green',
  value: _colors.G50,
  border: _colors.G400
}];
var darkModeStatusColorPalette = exports.darkModeStatusColorPalette = [{
  label: 'neutral',
  value: '#7F9BB4',
  border: _colors.N400
}, {
  label: 'purple',
  value: '#282249',
  border: _colors.P400
}, {
  label: 'blue',
  value: '#0C294F',
  border: _colors.B400
}, {
  label: 'red',
  value: '#441C13',
  border: _colors.R400
}, {
  label: 'yellow',
  value: '#413001',
  border: _colors.Y400
}, {
  label: 'green',
  value: '#052E21',
  border: _colors.G400
}];
/* eslint-enable @atlaskit/design-system/ensure-design-token-usage */