/** @jsx jsx */
import { css, jsx } from '@emotion/react';
import { N30 } from '@atlaskit/theme/colors';
const separator = css({
  background: `var(--ds-border, ${N30})`,
  width: '1px',
  height: '20px',
  margin: `0 ${"var(--ds-space-050, 4px)"}`,
  alignSelf: 'center',
  pointerEvents: 'none'
});
export default (() => jsx("div", {
  css: separator,
  className: "separator"
}));