import { css } from '@emotion/react';
import { akEditorLineHeight } from '@atlaskit/editor-shared-styles';
import { N30A } from '@atlaskit/theme/colors';
// @see typography spreadsheet: https://docs.google.com/spreadsheets/d/1iYusRGCT4PoPfvxbJ8NrgjtfFgXLm5lpDWXzjua1W2E/edit#gid=93913128
export var ruleSharedStyles = function ruleSharedStyles() {
  return css({
    '& hr': {
      border: 'none',
      backgroundColor: "var(--ds-border, ".concat(N30A, ")"),
      // eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage/preview
      margin: "".concat(akEditorLineHeight, "em 0"),
      height: '2px',
      borderRadius: '1px'
    }
  });
};