export { alignmentMessages } from './alignment';
export { annotationMessages } from './annotation';
export { messages as blockTypeMessages } from './block-type';
export { codeBidiWarningMessages } from './codeBidiWarning';
export { linkMessages } from './link';
export { linkToolbarMessages } from './link-toolbar';
export { unsupportedContentMessages } from './unsupportedContent';
export { codeBlockButtonMessages } from './codeBlockButton';
export { toolbarInsertBlockMessages } from './insert-block';
export { toolbarMessages as mediaAndEmbedToolbarMessages } from './media-and-embed-toolbar';
export { messages as cardMessages } from './card';
export { messages as fullPageMessages } from './full-page';
export { toolbarMessages } from './toolbar';
export { messages as tableMessages } from './table';
export { messages as listMessages } from './list';
export { messages as undoRedoMessages } from './undo-redo';
export { messages as statusMessages } from './status';
export { messages as dateMessages } from './date';
export { toolbarMessages as layoutMessages } from './layout';
export { messages as indentationMessages } from './indentation';
export { avatarGroupMessages } from './avatar-group';
export { findReplaceMessages } from './find-replace';
export { textColorMessages } from './text-color';
export { tasksAndDecisionsMessages } from './tasks-and-decsisions';
export { placeholderTextMessages } from './placeholder-text';
export { pasteOptionsToolbarMessages } from './paste-options-toolbar';
export { panelMessages } from './panel';
export { mentionMessages } from './mentions';
export { helpDialogMessages } from './help-dialog';
declare const _default: {
    layoutFixedWidth: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    layoutWide: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    layoutFullWidth: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    alignImageRight: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    alignImageCenter: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    alignImageLeft: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    remove: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    removeEmoji: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    visit: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    inviteToEditButtonTitle: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    saveButton: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    cancelButton: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    taskList: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    bulletList: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    nestedExpand: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    decisionList: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    defaultBlockNode: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    panel: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    blockquote: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    timeUpdated: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    timeViewed: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    timeAgo: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    copyToClipboard: {
        id: string;
        defaultMessage: string;
        description: string;
    };
    copiedToClipboard: {
        id: string;
        defaultMessage: string;
        description: string;
    };
};
export default _default;
