import type { TableLayout } from '@atlaskit/adf-schema';
export declare const tableMarginTop = 24;
export declare const tableMarginBottom = 16;
export declare const tableMarginTopWithControl = 14;
export declare const tableMarginSides = 8;
export declare const tableCellMinWidth = 48;
export declare const tableNewColumnMinWidth = 140;
export declare const tableCellBorderWidth = 1;
export declare const tableCellPadding = 8;
export declare const tableResizeHandleWidth = 6;
export declare const TableSharedCssClassName: {
    TABLE_CONTAINER: string;
    TABLE_NODE_WRAPPER: string;
    TABLE_LEFT_SHADOW: string;
    TABLE_RIGHT_SHADOW: string;
    TABLE_STICKY_SHADOW: string;
    TABLE_STICKY_WRAPPER: string;
    TABLE_STICKY_SCROLLBAR_CONTAINER: string;
    TABLE_STICKY_SENTINEL_TOP: string;
    TABLE_STICKY_SENTINEL_BOTTOM: string;
    TABLE_STICKY_SCROLLBAR_SENTINEL_TOP: string;
    TABLE_STICKY_SCROLLBAR_SENTINEL_BOTTOM: string;
    TABLE_SHADOW_SENTINEL_LEFT: string;
    TABLE_SHADOW_SENTINEL_RIGHT: string;
    TABLE_CELL_NODEVIEW_CONTENT_DOM: string;
    TABLE_CELL_WRAPPER: string;
    TABLE_HEADER_CELL_WRAPPER: string;
    TABLE_ROW_CONTROLS_WRAPPER: string;
    TABLE_COLUMN_CONTROLS_DECORATIONS: string;
    TABLE_RESIZER_CONTAINER: string;
};
declare const tableSharedStyle: () => import("@emotion/react").SerializedStyles;
export declare const calcTableWidth: (layout: TableLayout, containerWidth?: number, addControllerPadding?: boolean) => number | 'inherit';
export { tableSharedStyle };
