/** @jsx jsx */
import React, { PureComponent } from 'react';
import { jsx } from '@emotion/react';
export interface Props {
    value: string;
    label: string;
    tabIndex?: number;
    isSelected?: boolean;
    onClick: (value: string, label: string) => void;
    borderColor: string;
    checkMarkColor?: string;
    autoFocus?: boolean;
    hexToPaletteColor?: (hexColor: string) => string | undefined;
}
declare class Color extends PureComponent<Props> {
    render(): jsx.JSX.Element;
    onMouseDown: (e: React.MouseEvent<{}>) => void;
    onClick: (e: React.MouseEvent<{}>) => void;
}
export default Color;
