/// <reference types="react" />
import type { MentionProvider } from '@atlaskit/mention';
import type { ProfilecardProvider } from '../../provider-factory/profile-card-provider';
import type { MentionEventHandler } from '../EventHandlers';
export interface Props {
    id: string;
    text: string;
    accessLevel?: string;
    mentionProvider?: Promise<MentionProvider>;
    profilecardProvider: ProfilecardProvider;
    onClick?: MentionEventHandler;
    onMouseEnter?: MentionEventHandler;
    onMouseLeave?: MentionEventHandler;
}
export default function MentionWithProfileCard({ id, text, accessLevel, mentionProvider, profilecardProvider, onClick, onMouseEnter, onMouseLeave, }: Props): JSX.Element;
